package com.ff.base.enums;


import lombok.Getter;

/**
 * 任务目标类型
 */
@Getter
public enum CalculateType {
    CalculateType_1(1, "累计充值"),
    CalculateType_2(2, "累计有效投注"),
    CalculateType_3(3, "单局有效投注"),
    CalculateType_4(4, "单局盈利"),
    CalculateType_5(5, "单局亏损"),
    CalculateType_6(6, "累计盈利"),
    CalculateType_7(7, "累计亏损"),
    CalculateType_8(8, "神秘大奖");

    private final Integer code;
    private final String info;

    CalculateType(Integer code, String info) {
        this.code = code;
        this.info = info;
    }

}
